> ## Documentation Index
> Fetch the complete documentation index at: https://docs.localpayment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 创建虚拟账户

此接口允许您创建多个虚拟账户来接收本地 ACH 银行转账。通过将这些账户分配给特定的商户或最终用户，您可以简化对账流程并改进交易跟踪。


## OpenAPI

````yaml openapi/zh/localpayment.json POST /api/virtual-account
openapi: 3.1.0
info:
  version: '1.0'
  title: Localpayment
  contact:
    name: Support
    url: mailto:support@localpayment.com
servers:
  - url: https://api.stage.localpayment.com
    description: Stage
security:
  - token: []
paths:
  /api/virtual-account:
    post:
      summary: 创建虚拟账户
      operationId: create-virtual-account
      parameters:
        - name: Authorization
          in: header
          description: >-
            用于身份验证的 Bearer
            访问令牌。该令牌可从[获取访问令牌](/zh/reference/get-token)或[刷新访问令牌](/zh/reference/refresh-token)endpoint
            获取。
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                externalId:
                  type: string
                  description: >-
                    您提供的唯一标识符，用于标记和跟踪系统中的虚拟帐户。此 ID
                    将是对该帐户进行所有后续操作（例如，检查状态、禁用、删除）的主要参考依据。为确保唯一性并防止冲突，我们强烈建议使用
                    UUID4 格式。
                accountNumber:
                  type: string
                  description: Localpayment账号。
                country:
                  type: string
                  enum:
                    - ARG
                    - BRA
                    - CHL
                    - COL
                    - MEX
                    - PER
                  description: '[国家](/zh/reference/country-codes)。ISO 3166-1 alpha-3。'
                beneficiary:
                  type: object
                  title: 受益人
                  description: 接收存入此虚拟账户资金的个人或实体。受益人是资金的最终接收者，但不一定是虚拟账户本身的合法所有者或持有人。
                  properties:
                    entityId:
                      type: string
                      format: uuid
                      description: >-
                        代表此受益人的实体的 ID，在您通过 `POST /api/entity/v1/entities`
                        注册该实体时返回。当 `country` 为 `BRA` 时必填。请在创建虚拟账户之前注册该实体。
                      examples:
                        - 7c9e6679-7425-40de-944b-e07fc1f90ae7
                    type:
                      type: string
                      enum:
                        - COMPANY
                        - INDIVIDUAL
                      description: 受益人类型。
                    name:
                      type: string
                      description: >-
                        受益人名称。允许的字符取决于 `type` 字段：对于
                        `individual`，允许字母（包括带重音符号的字符）、空格和点（`.`）；对于
                        `company`，允许相同字符集，另外还允许数字、下划线（`_`）和连字符（`-`）。
                      minLength: 2
                      maxLength: 255
                    lastName:
                      type: string
                      description: >-
                        受益人的姓氏。当 `type` 为 `individual` 时必填，当 `type` 为 `company`
                        时忽略。允许的字符取决于 `type`：对于
                        `individual`，允许字母（包括带重音符号的字符）、空格和点（`.`）；对于
                        `company`，允许相同字符集，另外还允许数字、下划线（`_`）和连字符（`-`）。
                      minLength: 2
                      maxLength: 255
                    document:
                      type: object
                      description: 受益人文件。
                      properties:
                        type:
                          type: string
                          description: >-
                            根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                          examples:
                            - RUC
                        id:
                          type: string
                          description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                          examples:
                            - '1791234561009'
                      required:
                        - type
                        - id
                      examples:
                        - type: RUC
                          id: '1791234561009'
                    address:
                      type: object
                      description: 受益人地址。
                      properties:
                        street:
                          type: string
                          description: 街道名称。
                          examples:
                            - Independencia
                        number:
                          type: string
                          description: 街道号码。
                          examples:
                            - '123'
                        city:
                          type: string
                          description: 城市。
                          examples:
                            - Cordoba
                        state:
                          type: string
                          description: 州/省。
                          examples:
                            - Cordoba
                        country:
                          type: string
                          description: 地址所在国家/地区。
                          examples:
                            - ARG
                        zipCode:
                          type: string
                          description: 邮政编码。
                          examples:
                            - X5000IUO
                        comment:
                          type: string
                          description: 其他地址信息。
                          examples:
                            - Sucursal 123
                      examples:
                        - street: Independencia
                          number: '123'
                          city: Cordoba
                          state: Cordoba
                          country: ARG
                          zipCode: X5000IUO
                          comment: Sucursal 123
                    website:
                      type: string
                      description: 受益人网站。
                  required:
                    - type
                    - name
                    - document
                  examples:
                    - type: COMPANY
                      name: Acme
                      document:
                        type: RUC
                        id: '1791234561009'
              required:
                - externalId
                - accountNumber
                - country
                - beneficiary
              x-examples:
                Example 1:
                  externalId: '{{externalId}}'
                  accountNumber: '{{YourAccountNumber}}'
                  country: MEX
                  beneficiary:
                    document:
                      id: LEKF8111119Z5
                      type: RFC
                    name: BeneficiaryName
                    lastname: BeneficiaryLastname
                    type: INDIVIDUAL
                    address:
                      city: City
                      state: State
                      zipcode: zipcode
                      street: street
                      number: number
                      country: country
            examples:
              ARG-LOCAL COMPANY:
                value:
                  country: ARG
                  beneficiary:
                    type: COMPANY
                    document:
                      id: 30-71234567-9
                      type: CUIT
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Av. Corrientes
                      number: '1234'
                      city: Buenos Aires
                      state: CABA
                      country: Argentina
                    website: https://yongxin.technology.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              ARG-FOREIGN COMPANY:
                value:
                  country: ARG
                  beneficiary:
                    type: COMPANY
                    name: ACME INTERNATIONAL LTD
                    document:
                      type: TAX ID
                      id: '20342231111'
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              ARG-FOREIGN INDIVIDUAL:
                value:
                  country: ARG
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      type: TAX ID
                      id: '20342231111'
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              BRA-COMPANY:
                value:
                  country: BRA
                  beneficiary:
                    entityId: 7c9e6679-7425-40de-944b-e07fc1f90ae7
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              BRA-INDIVIDUAL:
                value:
                  country: BRA
                  beneficiary:
                    entityId: 7c9e6679-7425-40de-944b-e07fc1f90ae7
                    type: INDIVIDUAL
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle 34
                      number: '123'
                      city: Rio de Janeiro
                      state: Rio de Janeiro
                      country: Brazil
                    website: https://yongxin.technology.com
                  externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              MEX-SPEI/TEF-COMPANY:
                value:
                  country: MEX
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle 34
                      number: '123'
                      city: Guadalajara
                      state: Jalisco
                      country: Mexico
                    website: https://yongxin.technology.com
                  externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              MEX-SPEI/TEF-INDIVIDUAL:
                value:
                  country: MEX
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle 34
                      number: '123'
                      city: Guadalajara
                      state: Jalisco
                      country: Mexico
                    website: https://yongxin.technology.com
                  externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              MEX-SPID-COMPANY:
                value:
                  country: MEX
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle 34
                      number: '123'
                      city: Guadalajara
                      state: Jalisco
                      country: Mexico
                    website: https://yongxin.technology.com
                  externalId: 1f6b6f3a-3c3f-4e08-ba14-ac0d2a521ad5
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              PER-COMPANY:
                value:
                  country: PER
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: John
                    lastName: Doe
                    address:
                      street: Av. Javier Prado Este
                      number: '456'
                      city: Lima
                      state: Lima
                      country: PER
                    website: https://yongxin.technology.com
                  externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              PER-INDIVIDUAL:
                value:
                  country: PER
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Av. Javier Prado Este
                      number: '456'
                      city: Lima
                      state: Lima
                      country: PER
                    website: https://yongxin.technology.com
                  externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              COL - COMPANY:
                value:
                  country: COL
                  beneficiary:
                    type: COMPANY
                    document:
                      type: NIT
                      id: '1111111111'
                    address:
                      street: cra 49
                      number: '108'
                      city: MEDELLIN
                      state: Antioquia
                      country: COL
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    website: https://yongxin.technology.com
                  externalId: cf194632-7ec4-4a44-9b92-9bbacad5349e
                  accountNumber: '{{accountNumber}}'
              CRI - COMPANY:
                value:
                  country: CRI
                  beneficiary:
                    type: COMPANY
                    document:
                      type: CEJ
                      id: '3100000001'
                    name: Test Merchant S.A.
                    lastName: ''
                    address:
                      street: Av. Central
                      number: '100'
                      city: San José
                      state: San José
                      country: Costa Rica
                    website: https://testmerchant.com
                  externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                  accountNumber: '{{accountNumber}}'
              CHL-INDIVIDUAL:
                value:
                  country: CHL
                  beneficiary:
                    type: INDIVIDUAL
                    document:
                      type: TAX ID
                      id: '20342231111'
                    name: Zhang
                    lastName: Wei
                    address:
                      street: Calle Merced
                      number: '812'
                      city: Santiago
                      state: Region Metropolitana
                      country: Chile
                    website: https://yongxin.technology.com
                  externalId: c4894e1a-b1a1-49fc-acb8-b48d30f19208
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
              CHL-COMPANY:
                value:
                  country: CHL
                  beneficiary:
                    type: COMPANY
                    document:
                      id: '20342231111'
                      type: TAX ID
                    name: ACME INTERNATIONAL LTD
                    lastName: ''
                    address:
                      street: Calle Merced
                      number: '812'
                      city: Santiago
                      state: Region Metropolitana
                      country: Chile
                    website: https://yongxin.technology.com
                  externalId: b367854e-3331-4ed4-ae8c-01f653809a27
                  accountNumber: '{{yourLocalpaymentAccountNumber}}'
      responses:
        '201':
          description: 创建
          content:
            application/json:
              schema:
                type: object
                properties:
                  currency:
                    type: string
                    enum:
                      - ARS
                      - BRL
                      - CLP
                      - COP
                      - USD
                      - MXN
                      - PEN
                    description: '[货币代码](/zh/reference/currency-codes)。'
                  externalId:
                    type: string
                    description: >-
                      虚拟账户的唯一标识符。它与您在创建请求中提供的 `externalId`
                      值相同，确认该账户已成功登记到我们的系统中。在后续与此账户相关的所有 API 调用中，请使用此确切的标识符。
                  internalId:
                    type: string
                    description: Localpayment交易标识符。
                  accountNumber:
                    type: string
                    description: Localpayment账号。
                  beneficiary:
                    type: object
                    description: 接收存入此虚拟账户资金的个人或实体。受益人是资金的最终接收者，但不一定是虚拟账户本身的合法所有者或持有人。
                    properties:
                      type:
                        type: string
                        enum:
                          - COMPANY
                          - INDIVIDUAL
                        description: 受益人类型。
                      name:
                        type: string
                        description: 受益人姓名。
                      lastName:
                        type: string
                        description: 受益人的姓氏。
                      fullName:
                        type: string
                        description: 受益人全名。
                      document:
                        type: object
                        description: 受益人文件。
                        properties:
                          type:
                            type: string
                            description: >-
                              根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                            examples:
                              - RUC
                          id:
                            type: string
                            description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                            examples:
                              - '1791234561009'
                        examples:
                          - type: RUC
                            id: '1791234561009'
                      address:
                        type: object
                        description: 受益人地址。对于包含商户对象的响应，受益人地址将在该对象中提供。
                        properties:
                          street:
                            type: string
                            description: 街道名称。
                          number:
                            type: string
                            description: 街道号码。
                          city:
                            type: string
                            description: 城市。
                          state:
                            type: string
                            description: 州/省
                          country:
                            type: string
                            description: 地址所在国家/地区。
                          zipCode:
                            type: string
                            description: 邮政编码。
                          comment:
                            type: string
                            description: 其他地址信息。
                      merchant:
                        type: object
                        description: >-
                          API响应中的商户对象包含贵公司的详细信息，我们的系统会在内部引用这些信息。这确保了即使我们是出于合规性考虑的法定账户持有人，所有交易和账户本身也能正确归属于贵公司，以便进行报告和对账。
                        properties:
                          type:
                            type: string
                            enum:
                              - INDIVIDUAL
                              - COMPANY
                            description: 商户类型。
                          name:
                            type: string
                            description: 商家名称。
                          lastName:
                            type: string
                            description: 商家姓氏。
                          fullName:
                            type: string
                            description: 商家全名。
                          document:
                            type: object
                            description: 商家身份证明文件。
                            properties:
                              type:
                                type: string
                                description: >-
                                  根据签发国家/地区的不同，[身份证明文件类型](/zh/reference/identity-document-types)可能包括国民身份证号码、社会保障号码或驾驶执照。
                              id:
                                type: string
                                description: 身份证件号码（通常为数字）。该号码必须符合特定证件类型的有效规定。
                          address:
                            type: object
                            description: 受益人地址。
                            properties:
                              street:
                                type: string
                                description: 街道名称。
                              number:
                                type: string
                                description: 街道号码。
                              city:
                                type: string
                                description: 城市。
                              state:
                                type: string
                                description: 州/省。
                              country:
                                type: string
                                description: 地址国家/地区。
                              zipCode:
                                type: string
                                description: 邮政编码。
                              comment:
                                type: string
                                description: 其他地址信息。
                          website:
                            type: string
                            description: 受益人网站。
                      website:
                        type: string
                        description: 受益人网站。对于包含商户对象的响应，将在其中提供受益人网站。
                  status:
                    type: object
                    title: 状态
                    description: 操作状态。
                    properties:
                      code:
                        type: string
                        description: '[状态码](/zh/reference/transaction-status-error-codes)。'
                        examples:
                          - '100'
                      description:
                        type: string
                        description: '[状态描述](/zh/reference/transaction-status-error-codes)。'
                        examples:
                          - INPROGRESS
                      detail:
                        type: string
                        description: 更多状态信息。
                        examples:
                          - Virtual account in progress
                  errors:
                    type: array
                    description: 其他错误信息。
                    items:
                      type: object
                      additionalProperties: false
                x-examples:
                  Example 1:
                    currency: MXN
                    externalId: '1735854597'
                    internalId: 0a8bb236-98ac-497e-983a-3ff8fc527d22
                    accountNumber: '{{accountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: FirtName
                      document:
                        type: RFC
                        id: EXTF900101NI1
                      fullName: FirtName LastName
                      lastName: LastName
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
              examples:
                100-ARG-LOCAL COMPANY:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        type: CUIT
                        id: 30-71234567-9
                      address:
                        street: Av. Corrientes
                        number: '1234'
                        city: Buenos Aires
                        state: CABA
                        country: Argentina
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-ARG-FOREIGN COMPANY:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT S.R.L.
                      fullName: LOCALPAYMENT S.R.L
                      document:
                        type: CUIT
                        id: 30-71234562-8
                      merchant:
                        type: COMPANY
                        name: ACME INTERNATIONAL LTD
                        fullName: ACME INTERNATIONAL LTD
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-ARG-FOREIGN INDIVIDUAL:
                  value:
                    currency: ARS
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LOCALPAYMENT S.R.L.
                      fullName: LOCALPAYMENT S.R.L
                      document:
                        type: CUIT
                        id: 30-71234562-8
                      merchant:
                        type: INDIVIDUAL
                        name: Zhang
                        lastName: Wei
                        fullName: Zhang Wei
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-BRA-COMPANY:
                  value:
                    currency: BRL
                    externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                    internalId: b8f9428f-3a68-42b7-a761-f2a7b689839c
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      fullName: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      document:
                        type: CNPJ
                        id: '34669130000133'
                      bank:
                        branch: {}
                        account:
                          type: ''
                          number: ''
                      merchant:
                        type: COMPANY
                        name: ACME INTERNATIONAL LTD
                        fullName: ACME INTERNATIONAL LTD
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                    disabled: false
                100-BRA-INDIVIDUAL:
                  value:
                    currency: BRL
                    externalId: 7ad8bd1f-7227-4de7-9683-ff1f8ad635c5
                    internalId: f3a72b91-c4e5-4d8a-b7e2-9f1c3d6a5b8e
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      fullName: LP DO BRASIL INSTITUICAO DE PAGAMENTOS LTDA
                      document:
                        type: CNPJ
                        id: '34669130000133'
                      bank:
                        branch: {}
                        account:
                          type: ''
                          number: ''
                      merchant:
                        type: INDIVIDUAL
                        name: Zhang
                        lastName: Wei
                        fullName: Zhang Wei
                        document:
                          type: TAX ID
                          id: '20342231111'
                        address:
                          street: Calle 34
                          number: '123'
                          city: Rio de Janeiro
                          state: Rio de Janeiro
                          country: Brazil
                        website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                    disabled: false
                100-MEX-SPEI/TEF-COMPANY:
                  value:
                    currency: MXN
                    externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                    internalId: 9a8db65f-be31-42fb-8ebd-5fffd83bd6c6
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-MEX-SPEI/TEF-INDIVIDUAL:
                  value:
                    currency: MXN
                    externalId: fb5c9683-cfac-40c9-b81d-ad99de86c0d2
                    internalId: 9a8db65f-be31-42fb-8ebd-5fffd83bd6c6
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-MEX-SPID-COMPANY:
                  value:
                    currency: USD
                    externalId: 1f6b6f3a-3c3f-4e08-ba14-ac0d2a521ad5
                    internalId: 43aa5b5b-7566-4630-b86f-afb8486ccab4
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle 34
                        number: '123'
                        city: Guadalajara
                        state: Jalisco
                        country: Mexico
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                    disabled: false
                100-PER-COMPANY:
                  value:
                    externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    country: PER
                    currency: PEN
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        id: '20342231111'
                        type: TAX ID
                      address:
                        street: Av. Javier Prado Este
                        number: '456'
                        city: Lima
                        state: Lima
                        country: PER
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-PER-INDIVIDUAL:
                  value:
                    externalId: d09ed2d5-7460-4ac8-8889-3644cbe29082
                    internalId: 5ba31ea0-669b-43f6-88a1-1601f3cade0a
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    country: PER
                    currency: PEN
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        id: '20342231111'
                        type: TAX ID
                      address:
                        street: Av. Javier Prado Este
                        number: '456'
                        city: Lima
                        state: Lima
                        country: PER
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-COL- FOREIGN COMPANY:
                  value:
                    currency: COP
                    externalId: cf194632-7ec4-4a44-9b92-9bbacad5349e
                    internalId: b406472d-e5df-4ca3-8829-3e3df0948b3d
                    accountNumber: '{{accountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      document:
                        type: DNI
                        id: '12487201'
                      address:
                        street: Shennan Boulevard
                        number: '1234'
                        city: Shenzhen
                        state: Guangdong
                        country: China
                        zipCode: '518000'
                        comment: Center Area
                      website: contact@acme-international.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-CRI - COMPANY:
                  value:
                    currency: CRC
                    externalId: de14bcf2-15ee-22e3-ab59-99c3fcba31e8
                    internalId: 6884af9b-f844-42b7-9488-293e8052931c
                    accountNumber: '{{accountNumber}}'
                    country: CRI
                    beneficiary:
                      type: COMPANY
                      name: Test Merchant S.A.
                      fullName: Test Merchant S.A.
                      lastName: ''
                      document:
                        type: CEJ
                        id: '3100000001'
                      address:
                        street: Av. Central
                        number: '100'
                        city: San José
                        state: San José
                        country: Costa Rica
                    wireInstructions:
                      beneficiary:
                        bank:
                          account:
                            number: CR99000000000000000001
                      referenceCode: 6884af9b-f844-42b7-9488-293e8052931c
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-CHL-INDIVIDUAL:
                  value:
                    externalId: c4894e1a-b1a1-49fc-acb8-b48d30f19208
                    internalId: dcf62e96-b753-41b1-8064-6254c7e0abc1
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    country: CHL
                    currency: CLP
                    beneficiary:
                      type: INDIVIDUAL
                      name: Zhang
                      fullName: Zhang Wei
                      lastName: Wei
                      document:
                        type: TAX ID
                        id: '20342231111'
                      address:
                        street: Calle Merced
                        number: '812'
                        city: Santiago
                        state: Region Metropolitana
                        country: Chile
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
                100-CHL-COMPANY:
                  value:
                    currency: CLP
                    externalId: b367854e-3331-4ed4-ae8c-01f653809a27
                    internalId: 921792b6-5aac-4e41-a79b-ab080ad7f649
                    accountNumber: '{{yourLocalpaymentAccountNumber}}'
                    beneficiary:
                      type: COMPANY
                      name: ACME INTERNATIONAL LTD
                      fullName: ACME INTERNATIONAL LTD
                      lastName: ''
                      document:
                        id: '20342231111'
                        type: TAX ID
                      address:
                        street: Calle Merced
                        number: '812'
                        city: Santiago
                        state: Region Metropolitana
                        country: Chile
                      website: https://yongxin.technology.com
                    status:
                      code: '100'
                      description: INPROGRESS
                      detail: Virtual account in progress
                    errors: []
        '400':
          description: 错误的请求。
          content:
            application/json:
              schema:
                type: object
                properties:
                  externalId:
                    type: string
                    description: >-
                      虚拟账户的唯一标识符。它与您在创建请求中提供的 `externalId`
                      值相同，确认该账户已成功登记到我们的系统中。在后续与此账户相关的所有 API 调用中，请使用此确切的标识符。
                  internalId:
                    type: string
                    description: Localpayment交易标识符。
                  status:
                    type: object
                    title: 状态
                    description: 操作状态。
                    properties:
                      code:
                        type: string
                        description: '[状态码](/zh/reference/transaction-status-error-codes)。'
                      description:
                        type: string
                        description: '[状态描述](/zh/reference/transaction-status-error-codes)。'
                        examples:
                          - REJECTED
                      detail:
                        type: string
                        description: 更多状态信息。
                  errors:
                    type: array
                    description: 交易过程中发生的错误列表。
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          description: 错误代码。
                        detail:
                          type: string
                          description: 错误详情。
                x-examples:
                  Example 1:
                    externalId: '1735854339'
                    internalId: f2c1d9b0-090d-4692-b8d6-728b0bb67e80
                    status:
                      code: '300'
                      description: REJECTED
                      detail: Invalid param + [document.id] + verification failed
                    errors:
                      - code: '300'
                        detail: Invalid param + [document.id] + verification failed
              examples:
                300 - Invalid param.:
                  value:
                    externalId: '1234567890'
                    internalId: f2d9d9b0-093d-469b-c8d6-728b0cc67e80
                    status:
                      code: '300'
                      description: REJECTED
                      detail: Invalid param + [document.id] + verification failed
                    errors:
                      - code: '300'
                        detail: Invalid param + [document.id] + verification failed
                501 - Country not found:
                  value:
                    externalId: '1735858911'
                    internalId: 9442ab1b-cf3e-445b-9469-cef6340f145a
                    status:
                      code: '501'
                      description: REJECTED
                      detail: Country not found
                    errors:
                      - code: '501'
                        detail: Country not found
                812 - External Id already used - duplication.:
                  value:
                    externalId: '1735858911'
                    internalId: f5c4529e-67c1-43e0-bc2a-97250e736c98
                    status:
                      code: '812'
                      description: REJECTED
                      detail: External Id already used - duplication
                    errors:
                      - code: '812'
                        detail: External Id already used - duplication
                822 - Invalid relationship between provider and payment method.:
                  value:
                    externalId: 1b3e1fe0-2c1e-41cb-832b-20d90653aebc
                    internalId: 00a918d1-6217-4afa-a36f-4ad9d369754a
                    status:
                      code: '822'
                      description: REJECTED
                      detail: Invalid relationship between provider and payment method
                    errors:
                      - code: '822'
                        detail: >-
                          Invalid relationship between provider and payment
                          method
        '401':
          description: 未经授权。
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: 回复的补充信息。
                  code:
                    type: string
                    description: 状态码。
                  messages:
                    type: array
                    description: 消息列表。
                    items:
                      type: object
                      properties:
                        token_class:
                          type: string
                          description: Token 类。
                        token_type:
                          type: string
                          description: 令牌类型。
                        message:
                          type: string
                          description: 包含补充信息的消息。
                x-examples:
                  Example 1:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
              examples:
                401 - Token is invalid or expired:
                  value:
                    detail: Given token not valid for any token type
                    code: token_not_valid
                    messages:
                      - token_class: AccessToken
                        token_type: access
                        message: Token is invalid or expired
        '403':
          description: 禁止
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                    description: 回复的补充信息。
                x-examples:
                  Example 1:
                    detail: You do not have permission to perform this action.
              examples:
                403 - You do not have permission to perform this action.:
                  value:
                    detail: You do not have permission to perform this action.
      security:
        - token: []
      servers:
        - url: https://api.stage.localpayment.com
          description: Stage
components:
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.